
// This sets up a system useable throughout the MiscKit to allow the
// programmer to turn diagnostics on and off.  It is up to individual
// MiscKit classes and functions to either take advantage of this
// facility or create its own (for finer granularity of debug info
// or to enable a more verbose diagnostic).

int Misc_DebugState();
void Misc_SetDebugState(int flag);
void Misc_DebugOn();
void Misc_DebugOff();
