/**********************************************************************
  CLASS:			MyController
  
  Simple controller class which both initializes the browser and is
  it's delegate. It uses normal loading though that is not a good
  choice for showing a filesystem.
  
 **********************************************************************/
 
#import <objc/Object.h>


@interface MyController:Object
{
    id	browser;		// IB outlet to the browser
	id  rootFile;		// root MiscFile for the browser
	id  inspector;		// IB outlet to FileBrowser (when nib loaded)
}

- init;
- free;
- updateDirectory: sender;

- showInspector: sender;
- inspectFile: sender;

- duplicateFile: sender;
- createSymLink: sender;
- createHardLink: sender;

@end


@interface MyController (NibInitialization)

- awakeFromNib;

@end


@interface MyController (BrowserDelegate)

- (int)browser:sender fillMatrix:matrix inColumn:(int)column;

@end
