
#import "MiscPickListController.h"

@implementation MiscPickListController

- init
{
	pickListName = [MiscString newWithString:"States"];
	return self;
}

- free
{
	if (pickListName) [pickListName free];
	return [super free];
}

- pickList
{
	if (!pickList) pickList = [MiscPickList findPickListNamed:pickListName];
	return pickList;
}

- bringUpPickList:sender
{
	return [[self pickList] popUpForTextPal:textPal];
}

- textPal { return textPal; }
- setTextPal:anObject { textPal = anObject; return self; }
- (MiscString *)listName { return pickListName; }
- setListName:(MiscString *)aName
{
	if (pickListName) [pickListName free];
	pickListName = [aName copy];
	pickList = nil;
	return self;
}

@end
